Results 1 to 6 of 6

Thread: How to install Magento on OpenSUSE 42.1.

  1. #1

    Post How to install Magento on OpenSUSE 42.1.

    Hello.
    I want to install the last version of "Magento" on OpenSUSE but this version of "Magento" need PHP 7.2. I added PHP repository to OpenSUSE but its version id 7.3. How can I install PHP 7.2 on OpenSUSE?

    Thank you.

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,143

    Default Re: How to install Magento on OpenSUSE 42.1.

    You choose OTHER VERSION when you were asked for your openSYUSE version.

    Then please explain which version that is. And you better start with the assumption that it is much better to first update to a supported version before you start installing extra software.
    Henk van Velden

  3. #3
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,059

    Default Re: How to install Magento on OpenSUSE 42.1.

    On Wed, 22 May 2019 10:06:03 +0000, hack3rcon wrote:

    > Hello.
    > I want to install the last version of "Magento" on OpenSUSE but this
    > version of "Magento" need PHP 7.2. I added PHP repository to OpenSUSE
    > but its version id 7.3. How can I install PHP 7.2 on OpenSUSE?
    >
    > Thank you.


    42.1 is no longer in support - you can probably do an installation of the
    older version of PHP from the PHP sources, but I'd recommend updating to
    Leap 15.0 or 15.1 (which released today) first.

    Jim

    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,143

    Default Re: How to install Magento on OpenSUSE 42.1.

    Quote Originally Posted by hcvv View Post
    You choose OTHER VERSION when you were asked for your openSYUSE version.

    Then please explain which version that is. And you better start with the assumption that it is much better to first update to a supported version before you start installing extra software.
    Sorry, I now see you mantion that in the title.

    In any case, I support what @hendersj says.
    Henk van Velden

  5. #5

    Post Re: How to install Magento on OpenSUSE 42.1.

    I upgraded OpenSUSE to 42.3:
    Code:
    > cat /etc/os-release 
    NAME="openSUSE Leap"
    VERSION="42.3"
    ID=opensuse
    ID_LIKE="suse"
    VERSION_ID="42.3"
    PRETTY_NAME="openSUSE Leap 42.3"
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:leap:42.3"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://www.opensuse.org/"
    But I can't see any PHP 7.2, It is PHP 7.3.

  6. #6
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,283
    Blog Entries
    2

    Default Re: How to install Magento on OpenSUSE 42.1.

    I seem to remember answering in another thread about PHP 7.2 not that long ago...
    In any case, it looks like recent builds hahttp://download.opensuse.org/reposit...s:/php:/php72/ve further deprecated PHP 7.2, removing it from the main repos.

    openSUSE still supports various PHP 7.2 in a repository as a subdirectory of the following location for numerous supported versions of openSUSE (remember, 42.1 is past EOL and 42.3 will be EOL next month) Recommend you continue to upgrade at least to 15.0 before upgrading and installing your PHP.

    http://download.opensuse.org/reposit...s:/php:/php72/

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •